Subject: Re: [Cbe-oss-dev] [RFC, PATCH] CELL Oprofile SPU profiling updated patch

From: Maynard Johnson <[email-masked]>
Date: Sun, 18 Feb 2007 17:18:56 -0600

Maynard Johnson wrote:

>Arnd Bergmann wrote:
>
>  
>
>>On Friday 16 February 2007 01:32, Maynard Johnson wrote:
>>
>>    
>>
>>>config OPROFILE_CELL
>>>       bool "OProfile for Cell Broadband Engine"
>>>       depends on OPROFILE && SPU_FS
>>>       default y if ((SPU_FS = y && OPROFILE = y) || (SPU_FS = m && 
>>>OPROFILE = m))
>>>       help
>>>         Profiling of Cell BE SPUs requires special support enabled
>>>         by this option.  Both SPU_FS and OPROFILE options must be
>>>         set 'y' or both be set 'm'.
>>>=============
>>>
>>>Can anyone see a problem with any of this . . . or perhaps a suggestion 
>>>of a better way?
>>>      
>>>
>>The text suggests it doesn't allow SPU_FS=y with OPROFILE=m, which I think
>>should be allowed. 
>>    
>>
>Right, good catch.  I'll add another OR to the 'default y' and correct 
>the text.
>  
>
Actually, it makes more sense to do the following:

config OPROFILE_CELL
       bool "OProfile for Cell Broadband Engine"
       depends on  (SPU_FS = y && OPROFILE = m) || (SPU_FS = y && 
OPROFILE = y) || (SPU_FS = m && OPROFILE = m)
       default y
       help
         Profiling of Cell BE SPUs requires special support enabled by 
this option.

> > I also don't see any place in the code where you actually
>  
>
>>use CONFIG_OPROFILE_CELL.
>>    
>>
>As I mentioned, I will use CONFIG_OPROFILE_CELL in the 
>arch/powerpc/oprofile/Makefile as follows:
>      oprofile-$(CONFIG_OPROFILE_CELL) += op_model_cell.o \
>               cell/spu_profiler.o cell/vma_map.o cell/spu_task_sync.o
>
>  
>
>
[snip]

>>	Arnd <><
>>    
>>
>
>
>_______________________________________________
>Linuxppc-dev mailing list
>[email-masked]
>https://ozlabs.org/mailman/listinfo/linuxppc-dev
>  
>